curl --request POST \
--url https://api.streamkap.com/dashboard/lineage/topics/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_ids": [
"<string>"
],
"page_size": 20,
"sort": "byteTotal",
"sort_dir": "desc",
"topic_name": "<string>",
"filter": "<string>",
"include_metrics": true,
"diff_bands": [
"<string>"
]
}
'import requests
url = "https://api.streamkap.com/dashboard/lineage/topics/batch"
payload = {
"entity_ids": ["<string>"],
"page_size": 20,
"sort": "byteTotal",
"sort_dir": "desc",
"topic_name": "<string>",
"filter": "<string>",
"include_metrics": True,
"diff_bands": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_ids: ['<string>'],
page_size: 20,
sort: 'byteTotal',
sort_dir: 'desc',
topic_name: '<string>',
filter: '<string>',
include_metrics: true,
diff_bands: ['<string>']
})
};
fetch('https://api.streamkap.com/dashboard/lineage/topics/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"groups": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Batch fetch topics for multiple entities
Returns enriched topics grouped by entity ID. Use for polling refresh or expand-all when groups are already loaded. Accepts 1-100 entity IDs.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for POST /dashboard/lineage/topics/batch.
Grouping dimension
source, destination, transform, source_audit Entity IDs to fetch topics for
1 - 100 elementsMax topics per entity
1 <= x <= 100Sort field for topics
byteTotal, latency, speed, lag, name Sort direction
asc, desc Topic name substring filter
Comma-separated quick filters
When false, return metrics as null
Diff% multi-band filter for source_audit. Either a JSON array (["0-0.05", "0.05-2"]) or a comma-separated string ('0-0.05,0.05-2'). Each band is an inclusive 'min-max' pair. Topic passes if its rounded-to-2-decimals max destination diff% falls in ANY band.
Response
Successful Response
Response for POST /dashboard/lineage/topics/batch.
Topics grouped by entity ID
Show child attributes
Show child attributes
Was this page helpful?